Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 488402 - [science overlay] =sci-mathematics/scilab-5.4.1 needs >=dev-java/jogl-2.0.2
Summary: [science overlay] =sci-mathematics/scilab-5.4.1 needs >=dev-java/jogl-2.0.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Java (show other bugs)
Hardware: All Linux
: Normal major with 1 vote (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
: 488526 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-10-17 17:52 UTC by Malte E.
Modified: 2015-04-03 09:58 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Malte E. 2013-10-17 17:52:48 UTC
With the current version the graphics window stays blank. Version bump requested. I will look into it and possibly make my own ebuild and upload it here as soon as I have time

Reproducible: Always
Comment 1 Malte E. 2013-10-18 13:59:08 UTC
I tried to just copy the ebuild, but it didn't compile at first, complaining about missing android related classes. So I just removed some Android stuff from the source directory using

rm -r ${WORKDIR}/${MY_P}/src/jogl/classes/jogamp/opengl/android/
rm -r ${WORKDIR}/${MY_P}/src/test/com/jogamp/opengl/test/android
rm -r ${WORKDIR}/${MY_P}/src/newt/classes/jogamp/newt/driver/android
rm ${WORKDIR}/${MY_P}/build/jogl/jogl-os-android.jar

I'm not sure which one of these are needed to fix the problem, but it looks like a dirty workaround anyway, so I think the problem should be fixed in some other way.
the problem now is, that some files in /usr/share/jogl-2/lib/ seem have different names in 2.0.2, they use hyphens rather than dots, which means scilab can't find the library. I tried to edit the scilab ebuild but it failed emergeing.
For now I manually copied the jogl libraries to their old names and it works. I hope, someone can come up with a somewhat less dirty solution, because I'm really at the limit of my skills here.
Comment 2 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-10-19 12:00:22 UTC
*** Bug 488526 has been marked as a duplicate of this bug. ***
Comment 3 Guillaume Horel 2013-10-25 04:41:50 UTC
This is a bug between jogl and your graphics driver, and not really a scilab bug. 

I don't want to bump the jogl dependency in scilab-5.4.1 because jogl-2.0_rc8 was the version that upstream used at the time, and there were some api changes between v2.0_rc8 and v2.0.2 of jogl. For instance, I suspect that if you try to recompile scirenderer now, it would fail.

scilab-5.5.0 is going to be released soon, and the code has been updated to work with a newer version of jogl. I will push scilab-5.5.0_beta1 to the overlay, which should solve your problem if you switch to that version.
Comment 4 Malte E. 2013-10-25 09:06:04 UTC
If that is a bug between jogl and my graphics driver, shouldn't that be the place where it gets fixed? Meaning, jogl-2.0.2 or later should be pushed to the overlay. Keeping an rc of a final release isn't a good idea anyway. That on the other hand makes it a java bug, not a science bug.
Comment 5 Malte E. 2013-10-25 09:07:37 UTC
Sorry for not reading properly. Proceed as you suggested. Thanks :)
Comment 6 Malte E. 2013-10-28 16:14:49 UTC
I just updated my science overlay. Scilab fails emergeing at configure because it's expecting flexdock 1.2.4, but only finds 1.2.3.
Comment 7 Guillaume Horel 2013-10-28 16:37:13 UTC
Forgot about that one. I'll bump flexdock tonight. You can just rename the flexdock ebuild for now. Let me know if there are other issues.
Comment 8 Malte E. 2013-10-29 16:33:26 UTC
scilab-5.5 also depends on sci-libs/matio-1.5, so that dependency needs to be bumped.
and how about naming the ebuild "scilab-5.5.0_beta1"?
Comment 9 José Romildo Malaquias 2013-10-30 09:55:05 UTC
I am getting dependency conflicts when trying to emerge scilab on my ~amd64 system:

# emerge -avt scilab

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild     U  ] sci-mathematics/scilab-5.5.0_beta1::science [5.4.1::science] USE="bash-completion doc gui matio nls openmp umfpack xcos -debug -fftw -static-libs {-test} -tk" LINGUAS="pt_BR -ca_ES -de -es_ES -fr_FR -it -ja -pl -ru -uk -zh_CN -zh_TW" 67,029 kB
[ebuild  N     ]  dev-java/jogl-2.0_rc8-r1:2::science  USE="-cg -doc -source" 0 kB
[ebuild  N     ]   dev-java/gluegen-2.0_rc8:2::science  USE="-doc -source" 0 kB
[ebuild  NS    ]  dev-java/saxon-9.2.0.6:9 [6.5.5:6.5] USE="-doc -source" 2,874 kB
[ebuild  NS   #]  dev-java/jgraphx-2.1.0.8:2.1::science [1.8.0.6:1.8::science] USE="-doc -examples -source" 4,350 kB
[ebuild     U  ]  sci-libs/matio-1.5.2::gentoo [1.3.4::local] USE="-doc% -examples -hdf5% -sparse% -static-libs (-fortran%)" 7,989 kB

Total: 6 packages (2 upgrades, 2 new, 2 in new slots), Size of downloads: 82,240 kB

WARNING: One or more updates have been skipped due to a dependency conflict:

dev-java/gluegen:2

  (dev-java/gluegen-2.0.2::science, ebuild scheduled for merge) conflicts with
    =dev-java/gluegen-2.0_rc8:2 required by (dev-java/jogl-2.0_rc8-r1::science, ebuild scheduled for merge)


The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by sci-mathematics/scilab-5.5.0_beta1::science[gui]
# required by @selected
# required by @world (argument)
# /var/lib/layman/science/profiles/package.mask:
# Guillaume Horel <guillaume.horel@gmail.com> (25 Oct 2013)
# mask new version of scilab until release
=dev-java/jgraphx-2.1.0.8
Comment 10 Malte E. 2013-10-30 13:25:07 UTC
scilab-5.5.0_beta1 fails with a sandbox violation. Afterwards you can still run qmerge on the ebuild and it installs and functions as expected, as far as I can tell.

Also, I just noticed that I mislabelled this bug as being for scilab-4.5.1 instead of 5.4.1. Can I somehow rename that?
Comment 11 Guillaume Horel 2013-10-30 13:31:35 UTC
José, please unmask dev-java/jogl-2.0.2 and dev-java/gluegen-2.0.2 and it should break the conflict.

Malte E. can you show the sandbox violation that you're getting? I don't see it here.
Comment 12 Malte E. 2013-10-30 13:39:31 UTC
This should be the relevant part. emerge --info is below

 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscispreadsheet.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscihistory_browser-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscihistory_manager.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscisymbolic.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscisound.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscixcos.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciconsole-minimal.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscifunctions.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscigraphics.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciscinotes.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscicompletion.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciarnoldi.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciscicos-cli.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciinterpolation.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscipreferences-cli.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscicall_scilab.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciexternal_objects_java.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libjavasci2.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscijvm.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscigui-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscijvm-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscirenderer.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciconsole.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscirandlib.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscigraphic_export-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciparallel.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscigraphics-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscilocalization.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscimatio.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscicommons.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscigui.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscigraphic_export.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciui_data.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciui_data-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciaction_binding-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciscicos_blocks-cli.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscisundials.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciscicos.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscitypes-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciscicos_blocks.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciaction_binding.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscihistory_browser.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscigraphic_objects-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciumfpack.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscisignal_processing.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscispecial_functions.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscixml.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscihelptools.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciscinotes-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscihdf5.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscicommons-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscitclsci.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscixcos-disable.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscilab.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscitypes.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscistatistics.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libsciexternal_objects.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscilab-cli.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscioptimization.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscipreferences.la (requested)
 [32;01m*[0m Removing unnecessary /usr/lib64/scilab/libscigraphic_objects.la (requested)
>>> Completed installing scilab-5.5.0_beta1 into /var/tmp/portage/sci-mathematics/scilab-5.5.0_beta1/image/

 [31;01m*[0m --------------------------- ACCESS VIOLATION SUMMARY ---------------------------
 [31;01m*[0m LOG FILE: "/var/log/sandbox/sandbox-23077.log"
 [31;01m*[0m 
VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: open_wr
S: deny
P: /dev/dri/card0
A: /dev/dri/card0
R: /dev/dri/card0
C: /usr/bin/glxinfo 
 [31;01m*[0m --------------------------------------------------------------------------------
!!! When you file a bug report, please include the following information:
GENTOO_VM=icedtea-6  CLASSPATH="" JAVA_HOME="/usr/lib64/icedtea6"
JAVACFLAGS="-source 1.5 -target 1.5" COMPILER=""
and of course, the output of emerge --info =scilab-5.5.0_beta1

emerge --info =scilab-5.5.0_beta1
Portage 2.2.7 (default/linux/amd64/13.0/desktop/kde, gcc-4.7.3, glibc-2.15-r3, 3.10.7-gentoo-r1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.10.7-gentoo-r1-x86_64-Intel-R-_Core-TM-_i3-2370M_CPU_@_2.40GHz-with-gentoo-2.2
KiB Mem:     3734160 total,     54584 free
KiB Swap:    8385924 total,   7825512 free
Timestamp of tree: Wed, 30 Oct 2013 08:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.5-r3, 3.2.5-r3
dev-util/cmake:           2.8.11.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.2
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo steam-overlay java science local_overlay
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/"
LANG="en_US.UTF-8"
LC_ALL="en_AU.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/steam /var/lib/layman/java /var/lib/layman/science /var/lib/portage/local"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cjk clang cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr egl emboss encode exif fam firefox flac fortran gdbm gif gles gles1 gpm iconv ipv6 jingle jpeg kde kipi lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses networkmanager nls nptl ogg opengl openmp otr pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qt3support qt4 readline samba sdl semantic-desktop session spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb v4l vaapi vorbis wayland wxwidgets x264 xcb xcomposite xinerama xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="words sheets stage" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sci-mathematics/scilab-5.5.0_beta1 was built with the following:
USE="doc fftw gui matio nls tk umfpack xcos -bash-completion -debug -openmp -static-libs -test" LINGUAS="-ca_ES -de -es_ES -fr_FR -it -ja -pl -pt_BR -ru -uk -zh_CN -zh_TW"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--no-as-needed"
Comment 13 Guillaume Horel 2013-10-31 13:24:04 UTC
I think I fixed the access violation issue with my latest patch. Let me know if there is anything else that doesn't work.
Comment 14 Malte E. 2013-10-31 16:37:27 UTC
I just updated my overlays and tried emergeing scilab again - same problem.

I found another problem after doing emerge --depclean. Scirenderer is not needed anymore, you correctly removed it from the dependencies, but because of one java-pkg_jar-from the ebuild is still looking for it. That bit should be removed from the ebuild.
Also, scirenderer fails to compile with jogl-2.0.2, so it should depend on ~jogl-2.0_r8 (or possibly later versions as well, before 2.0.2)
probably jogl-2.0_r8 and jogl-2.0.2 should get different slots as they are both binary and source incompatible.
Comment 15 Guillaume Horel 2013-10-31 16:55:01 UTC
Thanks, I'll fix the scirenderer thing. Upstream moved back scirenderer inside the scilab codebase, so the external package is not needed anymore.

Concerning the access violation, I'm out of ideas... What happens is that after the compilation, for the doc generation part, the makefile runs scilab-adv-cli, which calls glxinfo. The patch that I added make sure that this part is skipped if we run the scilab bash script in command-line mode, so I'm not sure why it would still get called. It would help if you could post your complete build log, thanks!
Comment 16 Guillaume Horel 2013-11-16 17:07:35 UTC
I think I fixed the access violation thing. Let me know if you still have issues.
Comment 17 Malte E. 2013-11-20 11:07:43 UTC
Everything is working. Thank you!
Comment 18 Marius Brehler 2015-04-03 09:58:33 UTC
This was fixed 2013, anyway since than scilab-5.4.1 was dropped. More recent versions are available in the science overlay. Closing this as resolved fixed.